Name:		gssntlmssp
Version:	0.2.0
Release:	2%{?dist}
Summary:	GSSAPI NTLMSSP Mechanism

Group:		System Environment/Libraries
License:	LGPLv3+
URL:		https://fedorahosted.org/gss-ntlmssp
Source0:        https://fedorahosted.org/released/gss-ntlmssp/%{name}-%{version}.tar.gz

Patch0: gss-set-neg-mech-fix.patch
Patch1: 0001-Fix-memory-leak-with-gssntlm_names.patch
Patch2: 0002-Fix-memleaks-in-init_sec_context.patch

Requires: krb5-libs%{?_isa} >= 1.11.2

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool
BuildRequires: m4
BuildRequires: libxslt
BuildRequires: libxml2
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: krb5-devel >= 1.11.2
BuildRequires: libunistring-devel
BuildRequires: openssl-devel

%description
A GSSAPI Mechanism that implements NTLMSSP

%package devel
Summary: Development header for GSSAPI NTLMSSP
Group: Development/Libraries
License: LGPLv3+

%description devel
Adds a header file with definition for custom GSSAPI extensions for NTLMSSP


%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
autoreconf -fiv
%configure \
    --disable-static \
    --disable-rpath

make %{?_smp_mflags} all

%install
%make_install
rm -f %{buildroot}%{_libdir}/gssntlmssp/gssntlmssp.la
install -d -m755 %{buildroot}%{_sysconfdir}/gss
install -pm644 examples/mech.ntlmssp %{buildroot}%{_sysconfdir}/gss/mech.ntlmssp

%check
make test_gssntlmssp

%files
%config(noreplace) %{_sysconfdir}/gss/mech.ntlmssp
%{_libdir}/gssntlmssp/
%{_mandir}/man8/gssntlmssp.8*
%doc COPYING

%files devel
%{_includedir}/gssapi/gssapi_ntlmssp.h

%changelog
* Fri Dec 13 2013 Simo Sorce <simo@samba.org> - 0.2.0-2
- Backport patches to fix memory leaks

* Wed Dec  4 2013 Simo Sorce <simo@samba.org> - 0.2.0-1
- Backport patch that fixes failures with gss_set_neg_mechs() calls.

* Fri Oct 18 2013 Simo Sorce <simo@samba.org> - 0.2.0-0
- New upstream realease 0.2.0:
  * Add support for acquire_cred_with_password()
  * Fix Signing keys generation
  * Add enterprise names support
  * Add connectionless mode support
  * Add development header gssapi_ntlmssp.h
  * Various bugfixes and tests for new features 

* Thu Oct 17 2013 Simo Sorce <simo@samba.org> - 0.1.0-2
- Fix Requires

* Thu Oct 17 2013 Simo Sorce <simo@samba.org> - 0.1.0-1
- Initial import of 0.1.0

